com.io7m.jpra.runtime.java

## Class JPRATypeModelType.JPRAIntegerSignedType

- java.lang.Object
- - com.io7m.jpra.runtime.java.JPRATypeModelType.JPRAIntegerSignedType

- All Implemented Interfaces:
    JPRATypeModelType.JPRAScalarType, JPRATypeModelType.JPRATypeType
  Direct Known Subclasses:
    JPRATypeModel.JPRAIntegerSigned
  Enclosing interface:
    JPRATypeModelType

      public abstract static class JPRATypeModelType.JPRAIntegerSignedType
      extends Object
      implements JPRATypeModelType.JPRAScalarType

  The type of `jpra` `signed integer` types.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPRAIntegerSignedType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A,E extends Exception> A` | `matchScalar(JPRATypeModelType.JPRAScalarMatcherType<A,E> m)`
    `<A,E extends Exception> A` | `matchType(JPRATypeModelType.JPRATypeMatcherType<A,E> m)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRATypeModelType.JPRAScalarType

      `sizeInBits`

- - ### Constructor Detail

    - #### JPRAIntegerSignedType

          public JPRAIntegerSignedType()

  - ### Method Detail

    - #### matchScalar

          public final <A,E extends Exception> A matchScalar(JPRATypeModelType.JPRAScalarMatcherType<A,E> m)
                                                      throws E extends Exception

      Specified by:
        `matchScalar` in interface `JPRATypeModelType.JPRAScalarType`
      Throws:
        `E extends Exception`

    - #### matchType

          public final <A,E extends Exception> A matchType(JPRATypeModelType.JPRATypeMatcherType<A,E> m)
                                                    throws E extends Exception

      Specified by:
        `matchType` in interface `JPRATypeModelType.JPRATypeType`
      Throws:
        `E extends Exception`

Copyright © 2015 <code@io7m.com> http://io7m.com